This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### void
Examples |
    void setup() {  // setup() does not return a value
      size(200, 200);
    }

    void draw() {  // draw() does not return a value
      line(10, 100, 190, 100);
      drawCircle();
    }

    void drawCircle() {  // This function also does not return a value
      ellipse(30, 30, 50, 50);
    }
Description | Keyword used indicate that a function returns no value. Each function must either return a value of a specific datatype or use the keyword void to specify it returns nothing.
Syntax |
    void function {
      statements
    }
Parameters |
function | any function that is being defined or implemented
statements | any valid statements

Updated on October 26, 2013 08:58:35pm PDT